Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#9 Unable to compile

closed
Jeff Welty
None
9
2006-10-01
2005-02-05
pb0
No

When trying to compile gwc-0.20-10 i get this error. I
was able to compile gwc-0.20-09 just fine.

biquad.c: In function `filter_audio':
biquad.c:64: warning: implicit declaration of function
`load_filter_preferences'
biquad.c:126: warning: unused variable `p_first'
biquad.c:59: warning: unused variable `i_left'
biquad.c:59: warning: unused variable `i_right'
biquad.c:61: warning: unused variable `filtered_sample'
biquad.c: At top level:
biquad.c:247: error: conflicting types for
'load_filter_preferences'
biquad.c:64: error: previous implicit declaration of
'load_filter_preferences' was here
make: *** [biquad.o] Error 1

Discussion

  • Jeff Welty
    Jeff Welty
    2005-02-19

    • assigned_to: nobody --> weltyj
     
  • Jeff Welty
    Jeff Welty
    2005-02-19

    Logged In: YES
    user_id=269392

    This will get fixed in the next release, we're hammering out
    the OS/X configuration issues.

    Thanks,
    Jeff

     
  • Jeff Welty
    Jeff Welty
    2005-02-19

    • priority: 5 --> 9
     
  • Robin Cook
    Robin Cook
    2005-03-27

    Logged In: YES
    user_id=5208

    I am also getting this error. I am also on gnome 2.10.0

    gcc -DDATADIR=\"/usr/share\" -DLIBDIR=\"/usr/lib\"
    -DAPPNAME=\"gnome_wave_cleaner\" -DHAVE_ALSA -DHAVE_FFTW3
    -DFFTWPREC=1 -Wall -O -march=athlon-mp -mmmx -mfpmath=sse
    -msse -m3dnow -pipe -O3 -mcpu=i686 -march=i686 -DORBIT2=1
    -pthread -I/usr/include/libgnomeui-2.0
    -I/usr/include/libgnome-2.0
    -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0
    -I/usr/include/libart-2.0 -I/usr/include/gconf/2
    -I/usr/include/libbonoboui-2.0 -I/usr/include/glib-2.0
    -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0
    -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0
    -I/usr/lib/gnome-vfs-2.0/include
    -I/usr/include/bonobo-activation-2.0
    -I/usr/include/pango-1.0 -I/usr/include/freetype2
    -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include
    -I/usr/include/atk-1.0 -I/usr/include/libxml2 -c biquad.c
    `-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.
    biquad.c: In function `filter_audio':
    biquad.c:64: warning: implicit declaration of function
    `load_filter_preferences'
    biquad.c:126: warning: unused variable `p_first'
    biquad.c:59: warning: unused variable `i_left'
    biquad.c:59: warning: unused variable `i_right'
    biquad.c:61: warning: unused variable `filtered_sample'
    biquad.c: At top level:
    biquad.c:247: error: conflicting types for
    'load_filter_preferences'
    biquad.c:64: error: previous implicit declaration of
    'load_filter_preferences' was here
    make[1]: *** [biquad.o] Error 1
    make[1]: Leaving directory `/usr/src/gwc-0.20-10'

     
  • Jeff Welty
    Jeff Welty
    2006-10-01

    • status: open --> closed